CREATE TABLE jg_zz_ar_ap_trnovr_decl_lines (
    DECL_LINE_ID                  NUMBER(18, 0) ,
    DECL_HEADER_ID                NUMBER(18, 0)     NOT NULL,
    INTERNAL_ORGANIZATION_ID      NUMBER(18, 0)     NOT NULL,
    LEDGER_ID                     NUMBER(18, 0)     NOT NULL,
    APPLICATION_ID                NUMBER(18, 0)     NOT NULL,
    EVENT_CLASS_CODE              VARCHAR2(120)     NOT NULL,
    ENTITY_CODE                   VARCHAR2(120)     NOT NULL,
    TRX_ID                        NUMBER(18, 0)     NOT NULL,
    TRX_LINE_ID                   NUMBER(18, 0)     NOT NULL,
    TRX_LINE_DIST_ID              NUMBER(18, 0) ,
    TAX_LINE_ID                   NUMBER(18, 0)     NOT NULL,
    REC_NREC_TAX_DIST_ID          NUMBER(18, 0) ,
    TAX_DIST_ID                   NUMBER(18, 0) ,
    TRX_NUMBER                    VARCHAR2(600) ,
    TRX_LINE_NUMBER               NUMBER        ,
    TAX_LINE_NUMBER               NUMBER        ,
    REC_NREC_TAX_DIST_NUMBER      NUMBER        ,
    TRX_DATE                      DATE          ,
    GL_DATE                       DATE          ,
    TRX_BUSINESS_CATEGORY         VARCHAR2(960) ,
    HQ_ESTB_REG_NUMBER            VARCHAR2(120) ,
    SERVICE_CODE                  VARCHAR2(120) ,
    SERVICE_MODE                  VARCHAR2(120) ,
    PAY_RECEIPT_METHOD            VARCHAR2(120) ,
    PAY_RECEIPT_COUNTRY           VARCHAR2(120) ,
    DECL_AUTHORITY                VARCHAR2(120) ,
    DECL_YEAR                     NUMBER(18, 0) ,
    DECL_PERIOD                   VARCHAR2(60)  ,
    DECL_NUMBER                   VARCHAR2(120) ,
    DECL_LINE                     NUMBER(18, 0) ,
    ESL_EPL_RECORD_STATUS_CODE    VARCHAR2(120) ,
    ORIG_SERVICE_CODE             VARCHAR2(120) ,
    ORIG_SERVICE_MODE             VARCHAR2(120) ,
    ORIG_PAY_RECEIPT_METHOD       VARCHAR2(120) ,
    ORIG_PAY_RECEIPT_COUNTRY      VARCHAR2(120) ,
    ORIG_DECL_AUTHORITY           VARCHAR2(120) ,
    ORIG_DECL_YEAR                NUMBER(18, 0) ,
    ORIG_DECL_PERIOD              VARCHAR2(60)  ,
    ORIG_DECL_NUMBER              VARCHAR2(120) ,
    ORIG_DECL_LINE                NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    DECL_LINE_ID                  NUMBER(18, 0) ,
    DECL_HEADER_ID                NUMBER(18, 0)     NOT NULL,
    INTERNAL_ORGANIZATION_ID      NUMBER(18, 0)     NOT NULL,
    LEDGER_ID                     NUMBER(18, 0)     NOT NULL,
    APPLICATION_ID                NUMBER(18, 0)     NOT NULL,
    EVENT_CLASS_CODE              VARCHAR2(120)     NOT NULL,
    ENTITY_CODE                   VARCHAR2(120)     NOT NULL,
    TRX_ID                        NUMBER(18, 0)     NOT NULL,
    TRX_LINE_ID                   NUMBER(18, 0)     NOT NULL,
    TRX_LINE_DIST_ID              NUMBER(18, 0) ,
    TAX_LINE_ID                   NUMBER(18, 0)     NOT NULL,
    REC_NREC_TAX_DIST_ID          NUMBER(18, 0) ,
    TAX_DIST_ID                   NUMBER(18, 0) ,
    TRX_NUMBER                    VARCHAR2(600) ,
    TRX_LINE_NUMBER               NUMBER        ,
    TAX_LINE_NUMBER               NUMBER        ,
    REC_NREC_TAX_DIST_NUMBER      NUMBER        ,
    TRX_DATE                      DATE          ,
    GL_DATE                       DATE          ,
    TRX_BUSINESS_CATEGORY         VARCHAR2(960) ,
    HQ_ESTB_REG_NUMBER            VARCHAR2(120) ,
    SERVICE_CODE                  VARCHAR2(120) ,
    SERVICE_MODE                  VARCHAR2(120) ,
    PAY_RECEIPT_METHOD            VARCHAR2(120) ,
    PAY_RECEIPT_COUNTRY           VARCHAR2(120) ,
    DECL_AUTHORITY                VARCHAR2(120) ,
    DECL_YEAR                     NUMBER(18, 0) ,
    DECL_PERIOD                   VARCHAR2(60)  ,
    DECL_NUMBER                   VARCHAR2(120) ,
    DECL_LINE                     NUMBER(18, 0) ,
    ESL_EPL_RECORD_STATUS_CODE    VARCHAR2(120) ,
    ORIG_SERVICE_CODE             VARCHAR2(120) ,
    ORIG_SERVICE_MODE             VARCHAR2(120) ,
    ORIG_PAY_RECEIPT_METHOD       VARCHAR2(120) ,
    ORIG_PAY_RECEIPT_COUNTRY      VARCHAR2(120) ,
    ORIG_DECL_AUTHORITY           VARCHAR2(120) ,
    ORIG_DECL_YEAR                NUMBER(18, 0) ,
    ORIG_DECL_PERIOD              VARCHAR2(60)  ,
    ORIG_DECL_NUMBER              VARCHAR2(120) ,
    ORIG_DECL_LINE                NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    CONSTRAINT pk_jg_zz_ar_ap_trnovr_decl_lines PRIMARY KEY (DECL_LINE_ID, DECL_LINE_ID)
);
